﻿@model IndexViewModel
@inject UserManager<User> UserManager


@{
    ViewData["Title"] = "Home Page";
}



@if (!this.User.Identity.IsAuthenticated)
{
    <div class="text-center font-italic" id="home-page-text">
        <h5 class="display-4">Welcome To IriOn WEB Library System</h5>
        <img src="http://haworth-tompkins-assets.imgix.net/uploads/0408_N16_htwebcrp.jpg?auto=format%2Ccompress&fit=clip&h=1200&imgixEnabled=1&ixlib=php-1.1.0&q=90&w=1400&s=d5dc593de2f8c825331fc444a74f2d71" alt="Generic placeholder image" width="500">
        <h6 class="display-4">Please view our catalog!</h6>
    </div>

    @*<div class="text-center text-info font-italic">
            <h1 class="display-4">Welcome To IriOn WEB Library System</h1>
        </div>

        <div id="carouselFadeExampleIndicators" class="carousel slide carousel-fade" data-interval="1500" data-ride="carousel">
            <div class="carousel-inner" role="listbox">
                <div class="carousel-item active">
                    <a asp-area="Identity" asp-page="/Account/Register">
                        <img class="d-block w-100" src="~/lib/images/Register.png" data-src="holder.js/900x400?theme=social" alt="First slide">
                    </a>
                </div>
                <div class="carousel-item">
                    <a asp-area="Identity" asp-page="/Account/Login">
                        <img class="d-block w-100" src="~/lib/images/Login.jpg" data-src="holder.js/900x400?theme=industrial" alt="Second slide">
                    </a>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselFadeExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselFadeExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>*@
}
else
{
    if (this.User.IsInRole("Admin"))
    {
        <hr id="login" />
        <h1 id="hello" class="text-center font-weight-bolder">Hello, @this.User.Identity.Name</h1>
        <hr id="login" />
        <div id="login" class="row">
            <hr class="bg-info" />
                <input type="text" name="name" id="usersearch" placeholder="Enter name..." class="form-control" />
                <hr class="bg-info" />
                <button id="load-button" class="btn btn-primary">Search!</button>
                <div id="put-the-users-here"></div>
            <partial name="_UsersPartial" model="Model.Users" />
            <partial name="_BooksPartial" model="Model.Books" />
        </div>
    }
    else
    {
        @if (this.User.IsBanned())
        {

            <hr id="login" />
            @*<h1 id="hello" class="text-center font-weight-bolder">Hello, @this.User.Identity.Name</h1>*@
            <div id="login" class="text-center text-danger font-italic">
                <hr />
                <h1 class="display-4">Sorry, 
                    <span id="hello" class="text-warning"> @this.User.Identity.Name </span>
                you do not have any permitions, you are banned!</h1>
                <hr class="bg-danger" />
                <h1 class="display-4"><span class="text-warning">Reason: </span>@UserManager.GetUserAsync(User)?.Result?.Ban?.Reason</h1>
            </div>
        }
        else
        {
            <hr id="login" />
            <h1 class="text-center font-weight-bolder" id="hello">Hello, @this.User.Identity.Name</h1>
            <div class="text-center font-italic" id="home-page-text">
                <hr id="login" />
                <h5 id="login" class="display-4">Welcome To IriOn WEB Library System</h5>
                <img src="http://haworth-tompkins-assets.imgix.net/uploads/0408_N16_htwebcrp.jpg?auto=format%2Ccompress&fit=clip&h=1200&imgixEnabled=1&ixlib=php-1.1.0&q=90&w=1400&s=d5dc593de2f8c825331fc444a74f2d71" alt="Generic placeholder image" width="500">
                <h6 id="login" class="display-4">Please view our catalog!</h6>
            </div>
        }
    }
}

